Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.draw
Class OdfAreaCircleElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.draw.OdfAreaCircleElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfAreaCircle

    public abstract class OdfAreaCircleElement

extends OdfElement

DOM implementation of OpenDocument element draw:area-circle.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfAreaCircleElement(OdfFileDom aOwnerDoc)` Create the instance of OdfAreaCircleElement

Method Summary
`OdfDescElement` | `createDescElement()` Create child element svg:desc.
`OdfEventListenersElement` | `createEventListenersElement()` Create child element office:event-listeners.
`OdfTitleElement` | `createTitleElement()` Create child element svg:title.
`OdfLength` | `getCx()` Get value of attribute svg:cx.
`OdfLength` | `getCy()` Get value of attribute svg:cy.
`OdfAnyURI` | `getHref()` Get value of attribute xlink:href.
`String` | `getName()` Get value of attribute office:name.
`String` | `getNohref()` Get value of attribute draw:nohref.
`OdfName` | `getOdfName()` Get the element name
`OdfLength` | `getR()` Get value of attribute svg:r.
`OdfShowType` | `getShow()` Get value of attribute xlink:show.
`OdfTargetFrameNameType` | `getTargetFrameName()` Get value of attribute office:target-frame-name.
`void` | `init(OdfLength cx, OdfLength cy, OdfLength r)` Initialization of the mandatory attributes of `OdfAreaCircleElement`
`void` | `setCx(OdfLength cx)` Set value of attribute svg:cx.
`void` | `setCy(OdfLength cy)` Set value of attribute svg:cy.
`void` | `setHref(OdfAnyURI href)` Set value of attribute xlink:href.
`void` | `setName(String name)` Set value of attribute office:name.
`void` | `setNohref(String nohref)` Set value of attribute draw:nohref.
`void` | `setR(OdfLength r)` Set value of attribute svg:r.
`void` | `setShow(OdfShowType show)` Set value of attribute xlink:show.
`void` | `setTargetFrameName(OdfTargetFrameNameType targetFrameName)` Set value of attribute office:target-frame-name.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfAreaCircleElement

    public OdfAreaCircleElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfAreaCircleElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element draw:area-circle.

### init

    public void init(OdfLength cx,
                     OdfLength cy,
                     OdfLength r)

  Initialization of the mandatory attributes of `OdfAreaCircleElement`

  Parameters:
    `cx` - The mandatory attribute svg:cx"
    `cy` - The mandatory attribute svg:cy"
    `r` - The mandatory attribute svg:r"

### getHref

    public OdfAnyURI getHref()

  Get value of attribute xlink:href.

  Returns:
    return the attribute which type is OdfAnyURI

### setHref

    public void setHref(OdfAnyURI href)

  Set value of attribute xlink:href.

  Parameters:
    `href` - the attribute's type is OdfAnyURI

### getTargetFrameName

    public OdfTargetFrameNameType getTargetFrameName()

  Get value of attribute office:target-frame-name.

  Returns:
    return the attribute which type is OdfTargetFrameNameType

### setTargetFrameName

    public void setTargetFrameName(OdfTargetFrameNameType targetFrameName)

  Set value of attribute office:target-frame-name.

  Parameters:
    `targetFrameName` - the attribute's type is OdfTargetFrameNameType

### getShow

    public OdfShowType getShow()

  Get value of attribute xlink:show.

  Returns:
    return the attribute which type is OdfShowType

### setShow

    public void setShow(OdfShowType show)

  Set value of attribute xlink:show.

  Parameters:
    `show` - the attribute's type is OdfShowType

### getName

    public String getName()

  Get value of attribute office:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute office:name.

  Parameters:
    `name` - the attribute's type is String

### getNohref

    public String getNohref()

  Get value of attribute draw:nohref.

  Returns:
    return the attribute which type is String

### setNohref

    public void setNohref(String nohref)

  Set value of attribute draw:nohref.

  Parameters:
    `nohref` - the attribute's type is String

### getCx

    public OdfLength getCx()

  Get value of attribute svg:cx.

  Returns:
    return the attribute which type is OdfLength

### setCx

    public void setCx(OdfLength cx)

  Set value of attribute svg:cx.

  Parameters:
    `cx` - the attribute's type is OdfLength

### getCy

    public OdfLength getCy()

  Get value of attribute svg:cy.

  Returns:
    return the attribute which type is OdfLength

### setCy

    public void setCy(OdfLength cy)

  Set value of attribute svg:cy.

  Parameters:
    `cy` - the attribute's type is OdfLength

### getR

    public OdfLength getR()

  Get value of attribute svg:r.

  Returns:
    return the attribute which type is OdfLength

### setR

    public void setR(OdfLength r)

  Set value of attribute svg:r.

  Parameters:
    `r` - the attribute's type is OdfLength

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element svg:title.

  Returns:
    return the element svg:title

### createDescElement

    public OdfDescElement createDescElement()

  Create child element svg:desc.

  Returns:
    return the element svg:desc

### createEventListenersElement

    public OdfEventListenersElement createEventListenersElement()

  Create child element office:event-listeners.

  Returns:
    return the element office:event-listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.